/*
 *      Program do przegladania logow z ekg.
 *      Pomoc w programie.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "helpc.hh"


/*
 * command_help::run()
 *
 * wywoluje dzialanie dla komendy quit - argumenty nie sa sprawdzane
 */
void command_help::run(const std::vector<std::string> &argv) {
    if(!argv.size())
	help_commands(_mw);
    else if(argv.size() == 1) {
	if(argv[0] == "help")
	    help_command_help(_mw);
	else if(argv[0] == "find")
	    help_command_find(_mw);
	else if(argv[0] == "list")
	    help_command_list(_mw);
	else {
	    std::string tmp = "Nie ma dostpnej pomocy dla polecenia: " + argv[0];
	    _mw->print(tmp.c_str(), "\\c010:\\c100:\\c110:\\d ");
	}
    }
    else {
	_mw->print("Zbyt duo argumentw dla komendy help.", "\\c010:\\c100:\\c110:\\d ");
    }

    _mw->show_last();
}
